Subject: RE: [External] : bug#48764: mini-buffer completion

From: Drew Adams <[email-masked]>
Date: Tue, 1 Jun 2021 21:31:09 +0000

> > Is there any information about basic navigation keys
> > for mini-buffer input in the manual?
> 
> Does the node (info "(emacs) Minibuffer History")[1] in the Emacs manual
> count?

FWIW, I wouldn't refer (or want Emacs to refer) to
keys that you use to cycle among history or default
elements (`M-(p|n)', `M-(r|s)') or cycle among
completion candidates (`<down>', `<up') as
"navigation keys" (basic or non-basic).

They are cycling keys.  Yes, they help you access
something, to choose it for some purpose.  So they
"get you to" something, in a way, but they're not
motion keys - they don't move point or the mouse
pointer etc.

Keys such as `M-f' navigate in the minibuffer.
Keys that cycle among choices don't.  It's clear
enough, I think, to refer to such keys as "cycling
keys".  It confuses things to refer to them as
navigation keys.

Yes, I realize that we also sometimes speak about
"navigating" when referring to using menus or
searching, etc., whether or not the end result is
moving the cursor.

But when talking about the minibuffer, where there
really are motion keys, I think it's clearer to
call such keys "cycling", not "navigation".

Just one opinion.